Loading...
Searching...
No Matches
Catch::TestSpec Class Reference

`#include <catch_amalgamated.hpp>`

## Classes

struct | Filter
struct | FilterMatch
class | NamePattern
class | Pattern
class | TagPattern

## Public Types

using | Matches = std::vector<FilterMatch>
using | vectorStrings = std::vector<std::string>

## Public Member Functions

bool | hasFilters () const
bool | matches (TestCaseInfo const &testCase) const
Matches | matchesByFilter (std::vector< TestCaseHandle > const &testCases, IConfig const &config) const
const vectorStrings & | getInvalidSpecs () const

## Private Member Functions

void | serializeTo (std::ostream &out) const
| Serializes this test spec into a string that would be parsed into equivalent test spec.

## Static Private Member Functions

static std::string | extractFilterName (Filter const &filter)

## Private Attributes

std::vector< Filter > | m_filters
std::vector< std::string > | m_invalidSpecs

## Friends

class | TestSpecParser
std::ostream & | operator<< (std::ostream &out, TestSpec const &spec)

## Member Typedef Documentation

## Matches

using Catch::TestSpec::Matches = std::vector<FilterMatch>

## vectorStrings

using Catch::TestSpec::vectorStrings = std::vector<std::string>

## Member Function Documentation

## extractFilterName()

std::string Catch::TestSpec::extractFilterName | ( | Filter const & | filter | ) |

staticprivate

Here is the call graph for this function:
Here is the caller graph for this function:

## getInvalidSpecs()

const TestSpec::vectorStrings & Catch::TestSpec::getInvalidSpecs | ( |  | ) | const

## hasFilters()

bool Catch::TestSpec::hasFilters | ( |  | ) | const

Here is the caller graph for this function:

## matches()

bool Catch::TestSpec::matches | ( | TestCaseInfo const & | testCase | ) | const

Here is the caller graph for this function:

## matchesByFilter()

TestSpec::Matches Catch::TestSpec::matchesByFilter | ( | std::vector< TestCaseHandle > const & | testCases,
|  | IConfig const & | config ) const

Here is the call graph for this function:

## serializeTo()

void Catch::TestSpec::serializeTo | ( | std::ostream & | out | ) | const

private

Serializes this test spec into a string that would be parsed into equivalent test spec.

Here is the caller graph for this function:

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | out,
|  | TestSpec const & | spec )

friend

## TestSpecParser

friend class TestSpecParser

friend

## Member Data Documentation

## m_filters

std::vector<Filter> Catch::TestSpec::m_filters

private

## m_invalidSpecs

std::vector<std::string> Catch::TestSpec::m_invalidSpecs

private

The documentation for this class was generated from the following files:

- tests/vendor/catch_amalgamated.hpp
- tests/vendor/catch_amalgamated.cpp